fragen stichworte

Fragen markiert [php-cli]

1
stimmen
1
antworten
2k
ansichten
Übergeben Sie Umgebungsvariablen an die PHP-CLI und das FPM
Ich möchte Umgebungsvariablen in meinen PHP-Anwendungen sowohl CLI als auch FPM verwenden. Was ich mache, ist ich: Exportiert einige Variablen…
2
stimmen
2
antworten
3k
ansichten
Änderungen an der php.ini von cli werden nicht wirksam
Ich habe zwei php.ini -Dateien - /etc/php.ini was bei cli geladen wird /opt/lampp/etc/php.ini wird beim Browser geladen. Ich kann PHPs…
2
stimmen
4
antworten
5k
ansichten
Benötigen PHP-Dateien eine Leseberechtigung, um in CLI ausgeführt zu werden?
Ich habe eine PHP-Datei test.php#!/bin/php <?php echo "test"; ?> Diese Datei gehört root und ihre Berechtigungen sind diese-rwxr-x--x So können…
2
stimmen
2
antworten
4k
ansichten
PHP Warnung: PHP Startup: Die Einstellung apc.shm_segments wird im MMAP-Modus ignoriert
Irgendwelche Ideen, wie ich diese Warnung beheben kann? Holen Sie dies während der Ausführung von der Shell aus auf FreeBSD…
3
stimmen
2
antworten
1k
ansichten
Aktivieren Sie farbige PHP-CLI-Meldungen auf der Konsole
Wie kann man farbige Meldungen für PHP CLI auf der Konsole aktivieren (Mac OS X, letzter PHP/Apache von MacPorts)?export CLICOLOR=1…
4
stimmen
3
antworten
22k
ansichten
Apache führt HTML aus, aber kein PHP. PHP CLI funktioniert
Ich verwende PHP 5.3.3 auf Rhel 6.2 mit Apache 2.2.15 und kann PHP-Code nicht von Apache interpretieren. Es gibt keine…
2
stimmen
1
antworten
2k
ansichten
PHP CLI: Aufruf zu undefinierter Funktion mysql_connect () auch bei aktiviertem mysql-Modul
Ich versuche, ein PHP-Skript über die Befehlszeile auszuführen, bekomme aber den folgenden Fehler:Call to undefined function mysql_connect() Das Modul mysql…
3
stimmen
3
antworten
3k
ansichten
PHP cli verwendet eine andere php.ini-Datei, wenn es von cron ausgeführt wird
Mein CakePHP-Konsolenskript hat Probleme bei der Ausführung unter cron. Es beschwert sich über fehlende Mysql-Verbindungen und so. Nach einer kurzen…
1
stimmen
1
antworten
1k
ansichten
Der Apache2handler SAPI wird von Pthreads nicht unterstützt
Es ist Wochen her, dass ich Pthreads nicht installieren kann. Ich werde die Fehlerprotokolle auflisten, dann werde ich meine Konfigurationsoptionen…
0
stimmen
1
antworten
1k
ansichten
PHP 7 Modul hat bereits Warnungen geladen
Ich habe einen Rechner, auf dem Ubuntu 14.04.3 LTS läuft, der über Ansible bereitgestellt wird. Ich habe PHP 7 mit…